Tp::PendingStringList Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions | List of all members
Tp::PendingStringList Class Reference
Utililty classes

The PendingStringList class is a generic subclass of PendingOperation representing a pending D-Bus method call that returns a string list. More...

`#include <TelepathyQt/PendingStringList>`

Inherits Tp::PendingOperation.

## Public Member Functions
| PendingStringList (const SharedPtr< RefCounted > &object)
| PendingStringList (QDBusPendingCall call, const SharedPtr< RefCounted > &object)
| ~PendingStringList ()
QStringList | result () const
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const

## Protected Member Functions
void | setResult (const QStringList &result)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const

## Additional Inherited Members
Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)

## Detailed Description

The PendingStringList class is a generic subclass of PendingOperation representing a pending D-Bus method call that returns a string list.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingStringList::PendingStringList | ( | const SharedPtr< RefCounted > & | object | ) |

Tp::PendingStringList::PendingStringList | ( | QDBusPendingCall | call,
|  | const SharedPtr< RefCounted > & | object
| ) |  |

Tp::PendingStringList::~PendingStringList | ( |  | ) |

Class destructor.

## Member Function Documentation

QStringList Tp::PendingStringList::result | ( |  | ) | const

void Tp::PendingStringList::setResult | ( | const QStringList & | result | ) |
| protected